cpphlib.PPDRIVER Class Reference

- Main Page
- Namespaces
- Classes

- Class List
- Class Members

Public Member Functions | Public Attributes
cpphlib.PPDRIVER Class Reference

Communication with ppds. More...

List of all members.

## Public Member Functions
def | __init__
def | registerCAEinterface
| Documentation for method.
def | registerIOinterface
| Documentation for method.
def | registerMONinterface
| Documentation for method.
def | connectinterfaces
| Documentation for method.
def | disconnectinterfaces
| Documentation for method.
def | getinterfaces
## Public Attributes
| CAEInterfaceDescriptor
| IOInterfaceDescriptor
| MONInterfaceDescriptor
| CAEIF
| IOIF
| MONIF

## Detailed Description

Communication with ppds.

Pheripherial driver has 3 interfaces. Command And Error interface is to send commands to driver, setup commands to IO cards and it receives answers for commands, errors and notifications. Input Output interface lets controller program send output change commands to cards, and receives and notifies any input changes on the cards. MONitor interface has only output, wich displays all input and output changes on cards. This class helps to registrate the interfaces, connects to them, and goes back with the attached interfaces. After that you only have to deal with sending commands, and handling anwers. After your program ended the game with IO cards, the class disconnects all driver connections.

    Short description: Class for connect to ppds driver's interfaces

## Constructor & Destructor Documentation

def cpphlib.PPDRIVER.__init__ | ( |  | self | ) |

    Short description: Constructs PPDRIVER class

## Member Function Documentation

def cpphlib.PPDRIVER.connectinterfaces | ( |  | self,
|  |  | CAE = `True`,
|  |  | IO = `True`,
|  |  | MON = `False`
| ) |  |

Documentation for method.

Connects to ppds interfaces.

Parameters:

  CAE | If CAE is set to True method connects to Command And Error interface.
  IO | If IO is set to True method connects to Input Output interface.
  MON | If MON is set to True method connects to Monitor interface. If any of them are set to False then connection cannot be established.
      Short description: Connects to ppds interfaces.

def cpphlib.PPDRIVER.disconnectinterfaces | ( |  | self,
|  |  | CAE = `True`,
|  |  | IO = `True`,
|  |  | MON = `False`
| ) |  |

Documentation for method.

Connects to ppds interfaces.

Parameters:

  CAE | If CAE is set to True method disconnects from Command And Error interface.
  IO | If IO is set to True method disconnects from Input Output interface.
  MON | If MON is set to True method disconnects from Monitor interface. If any of them are set to False then not going to disconnect.
      Short description: Disconnects from ppds interfaces

def cpphlib.PPDRIVER.getinterfaces | ( |  | self | ) |

    Short description: Gets connected interfaces of ppds

def cpphlib.PPDRIVER.registerCAEinterface | ( |  | self,
|  |  | Ipaddr,
|  |  | Port
| ) |  |

Documentation for method.

Registers IP address and port of Command And Error interface of ppds.

Parameters:

  Ipaddr | IP address of machine where the ppds runs on
  Port | Port of CAE interface
      Short description: Regiters CAE interface of ppds for communication

def cpphlib.PPDRIVER.registerIOinterface | ( |  | self,
|  |  | Ipaddr,
|  |  | Port
| ) |  |

Documentation for method.

Registers IP address and port of Input Output interface of ppds.

Parameters:

  Ipaddr | IP address of machine where the ppds runs on
  Port | Port of IO interface
      Short description: Regiters IO interface of ppds for communication

def cpphlib.PPDRIVER.registerMONinterface | ( |  | self,
|  |  | Ipaddr,
|  |  | Port
| ) |  |

Documentation for method.

Registers IP address and port of MONitor interface of ppds.

Parameters:

  Ipaddr | IP address of machine where the ppds runs on
  Port | Port of MON interface
      Short description: Regiters MON interface of ppds for communication

The documentation for this class was generated from the following file:

- cpphlib.py